Subject: bug#75521: scratch/igc: Delete unused macro DEFVAR_LISP_NOPROX

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 Jan 2025 22:07:21 +0200

> Date: Mon, 13 Jan 2025 19:57:17 +0000
> From: Pip Cet <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> "Eli Zaretskii" <[email-masked]> writes:
> 
> >> We should not attempt to keep two different memory locations
> >> synchronized by trying to catch all modifications.  That never works,
> >> and there's no reason for this complication.
> >
> > I don't think I follow: which modifications are you talking about?  If
> > that's Vfont_weight_table etc., then these 3 are documented to be
> > unmodifiable directly.
> 
> You mean the comment starting with "FIXME"?

No, I mean this part of the doc string:

  This variable cannot be set; trying to do so will signal an error.

What two different memory locations did you have in mind above?

> >> As I've tried to explain a number of times, the problem is that AREF
> >> (font_style_table, 0) isn't necessarily equal to Vfont_weight_table.
> >> The comment claims it is, but that's incorrect.
> >
> > Ah, so it's a separate issue with that comment.
> 
> No, it's not!  The comment is about the very same issue we've been
> "discussing" for so long.

The main issue is the code, not the comment.  So fixing the comment is
a separate issue.

Anyway, please don't install anything yet.  I want to take a closer
look at this code and its usage, and I've ran out of time for today.